#ifndef SOLARISIO_H
#define SOLARISIO_H

#define IOPREAD 1
#define IOPWRITE 2

typedef struct iopbuf_struct {
        unsigned int port;
        unsigned char port_value;
} iopbuf;

extern int iopfd;

extern "C" int
openiop();

extern "C" int
closeiop();

extern "C" void
outb(unsigned short int port, unsigned char data);

extern "C" unsigned int
inb(unsigned short int port);

#endif
